Function
appendMatePair
Appends two paired-end reads to a fragment store.
appendMatePair(store, readId1, readId2)
appendMatePair(store, readId1, readId2, name1, name2)
Include Headers
seqan/store.h
Parameters

store | The fragment store. Types: FragmentStore
readId1 | The read sequence of the first read.
readId2 | The read sequence of the second read.
name1 | The read name of the first read.
name2 | The read name of the second read.

Remarks
This function appends two reads to the readStore and readSeqStore and a mate-pair entry between both of them to the matePairStore. If names are given, they are appended to the readNameStore.
Return Values
The matePairId of the newly appended mate-pair.
See Also
appendRead
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46